<?php
/* * **************************************************************************************\
 * *   @name		EXP JaM Ajax Contact - Free                                       	**
 * *   @package     Joomla 3.x                                                      	**
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                	**
 * *   @copyright	Copyright (C) 2005 - 2017  EXP TEAM::Alexey Kurguz (Grusha)     	**
 * *   @link        http://www.feellove.eu                                          	**
 * *   @license		GNU General Public License version 2 or later; see LICENSE.txt		**
 \****************************************************************************************/


defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.form.formfield');
jimport('joomla.form.helper');
use Joomla\Registry\Registry;

class JFormFieldJamParseXml extends JFormField {

    protected $type = 'JamParseXml';
    
    public function getInput() {
		$return = null;
		
		$xmlfile = 'http://www.feellove.eu/xmlupdate/jamcontact_update.xml';
		$file_headers = @get_headers($xmlfile);
		if (stripos($file_headers[0],"404 Not Found") >0  || (stripos($file_headers[0], "302 Found") > 0 && stripos($file_headers[7],"404 Not Found") > 0)) {
			//echo "The file $xmlfile does not exist";
		} else {
			$xml = simplexml_load_file($xmlfile);
			if($xml !== FALSE) {
				$xml_newsversion = $xml->htmlNews[0]['version'];
				$xml_version = $xml->htmlData[0]['version'];
				$xml_infoversion = $xml->htmlInfo[0]['version'];
				$module = $this->getModule();
				$params = new Registry($module);
				$mod_version = $params->get('version');
				if ($xml_newsversion == '0' || version_compare($mod_version, $xml_newsversion, '<') == 1) {
					echo $xml->htmlNews;
				}
				if ($xml_version == '0' || version_compare($mod_version, $xml_version, '<') == 1) {
					echo $xml->htmlData;
				}
				if ($xml_infoversion == '0' || version_compare($mod_version, $xml_infoversion, '<') == 1) {
					echo $xml->htmlInfo;
				}
			}
		}
        return $return;
    }
	
	public function getModule($moduleName = null, $instanceTitle = null){
		$db = JFactory::getDbo();

		$query = $db->getQuery(true)
			->select('manifest_cache')
			->from($db->qn('#__extensions'))
			->where($db->qn('element') . ' = ' . $db->q('mod_jamcontact'));

		$db->setQuery($query);

		try
		{
			$modules = $db->loadResult();
		}
		catch (RuntimeException $e)
		{
			JLog::add(JText::sprintf('JLIB_APPLICATION_ERROR_MODULE_LOAD', $e->getMessage()), JLog::WARNING, 'jerror');
		}

		return $modules;
	}

}