<?php 
/* * **************************************************************************************\
 * *   @name		EXP JaM Ajax Contact - Free                                       	**
 * *   @package     Joomla 3.x                                                      	**
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                	**
 * *   @copyright	Copyright (C) 2005 - 2017  EXP TEAM::Alexey Kurguz (Grusha)     	**
 * *   @link        http://www.feellove.eu                                          	**
 * *   @license		GNU General Public License version 2 or later; see LICENSE.txt		**
 \****************************************************************************************/

defined('_JEXEC') or die;

class modJamcontactHelper {
	
	public static function getAjax() {
		JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
		// Get module parameters
		jimport('joomla.application.module.helper');
		
		$module = JModuleHelper::getModule('jamcontact');
		$params = new JRegistry();
		$params->loadString($module->params);
		
		$input  = JFactory::getApplication()->input;
        $data_forbot = $input->get($params->get('sec_field', 'forbot'));
		if($data_forbot != ''){
			echo "Stop Bot";
			die();
		}
		$config = JFactory::getConfig();
		
		
        $email_fromname = $config->get('fromname');
        $email_mailfrom = $config->get('mailfrom');
        $data_sitename = $config->get('sitename');
		
		$exptype = $input->get('exptype', 1);
		$currentTime = new JDate('now');
		
		$expadmin_email = $params->get('contact_email');
		$subject_text = $params->get('contact_subject', 'MOD_JAMCONTACT_CONTACT_EMAIL_SUBJECT_TEXT');
		if($subject_text == 'MOD_JAMCONTACT_CONTACT_EMAIL_SUBJECT_TEXT'){
			$subject = JText::_(JText::sprintf("MOD_JAMCONTACT_CONTACT_EMAIL_SUBJECT_TEXT", $email_fromname));
		}else{
			$subject = JText::_($subject_text);
		}
		if ($params->get('usecaptcha', 0) && trim($input->getString('jamcaptcha')) === '' ){
			$answer = array('val' => 0, 'text' => JText::_("MOD_JAMCONTACT_ERROR_CAPTCHA_TEXT"));
			return json_encode($answer);
		}
		$recipient  = $input->getString('email');
		$message = $input->getString('message');
		if($recipient){
			if (!JMailHelper::isEmailAddress($recipient)) {
				return false;
			}
			$recipients = array($recipient, $expadmin_email);
		}else{
			$recipients = array($expadmin_email);
		}
		
		$phone = $input->getString('phone');
		
		$body = $phone . ' - ' . $message;
		
        if (!JMailHelper::isEmailAddress($expadmin_email)) {
            return false;
        }
        $subject = JMailHelper::cleanSubject($subject);
        $body = JMailHelper::cleanBody($body);
		
		$mailer = JFactory::getMailer();
        $mailer->IsHTML(false);
        $mailer->setSender(array($expadmin_email, $email_fromname));
        $mailer->addRecipient($recipients);
        $mailer->addCC($expadmin_email);
        //$mailer->addAttachment('attach');
        $mailer->setSubject($subject);
        $mailer->setBody($body);
		if ($mailer->Send() === true) {
            $answer = array('val' => 1, 'text' => JText::_("MOD_JAMCONTACT_SUCCESFULLY_TEXT"));
            return json_encode($answer);
        } else {
            $answer = array('val' => 0, 'text' => JText::_("MOD_JAMCONTACT_ERROR_SENDING_TEXT"));
            return json_encode($answer);
        }

		return FALSE;
	}
}