
/****************************************************************************************\
**   @name			EXP JaM Contact - Free												**
**   @package   	Joomla 3.x	                                                        **
**   @author		EXP TEAM::Alexey Kurguz (Grusha)                                	**
**   @copyright		Copyright (C) 2005 - 2017  EXP TEAM::Alexey Kurguz (Grusha)     	**
**   @link      	http://www.feellove.eu                                          	**
**   @license		Commercial License                                              	**
\****************************************************************************************/

+function($) {
    'use strict';
	
    // Expjamcontact CLASS DEFINITION
    // ======================
	
    var Expjamcontact = function(element, options) {
        this.$element = $(element)
        this.options = $.extend({}, Expjamcontact.DEFAULTS, options)
        this.init('expjamcontact', element, options)
	}
	
    Expjamcontact.VERSION = '1.0.0'
	
    Expjamcontact.DEFAULTS = {
        jamcontactstyle: 1,
        jamcallbacktop: '-60px',
        jamcallbacktoperror: '-155px',
        jamcallbacktoploading: '-113px',
        jamcontactcaptcha: 0
	}
	
    Expjamcontact.prototype.init = function(type, element, options) {
		var that = this;
        this.$element = $(element);
        this.options = this.getOptions(options);
	
	
		this.$element.validator().on('submit', function (e) {
			if (e.isDefaultPrevented()) {
				// handle the invalid form...
			} else {
				that.expcontact(this);
			}
			return false;
		});
	}
    Expjamcontact.prototype.expcontact = function(ethis) {
	
		var 
			_this = jQuery(ethis),
			phone = _this.find('input[name=phone]').val(),
			email = _this.find('input[name=email]').val(),
			message = _this.find('textarea[name=message]').val(),
			forbot = _this.find('input[name=forbot]').val(),
			jamcontactcaptcha = this.options.jamcontactcaptcha,
			jamcontacttoken = this.options.jamcontacttoken,
			request = {
					'option'  : 'com_ajax',
					'module'  : 'jamcontact',
					'exptype' : this.options.jamcontactstyle,
					'phone'   : phone,
					'email'   : email,
					'message' : message,
					'forbot'  : forbot,
					'format'  : 'raw'
				};
		request[jamcontacttoken] = 1;
		if(jamcontactcaptcha){
			var jamcaptcha = _this.find('textarea[name=g-recaptcha-response]').val();
			request['jamcaptcha'] = jamcaptcha;
		}
		_this.addClass('expspinner-overlay-val expspinner-overlay');
		
		$.ajax({
			type   : 'POST',
			data   : request,
			success: function (response) {
				var obj = $.parseJSON(response);
				if(obj.val){
					$('textarea[name=message]', _this).val('');
					$('.jam_contact_status', _this).html('<div class=\"alert alert-success alert-dismissible\" role=\"alert\"><button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\"><span aria-hidden=\"true\">&times;</span></button>' + obj.text + '</div>');
				} else {
					$('.jam_contact_status', _this).addClass('jam_contact_status_failed').html('<div class=\"alert alert-warning alert-dismissible\" role=\"alert\"><button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\"><span aria-hidden=\"true\">&times;</span></button>' + obj.text + '</div>');
				}
				if(jamcontactcaptcha){
					if (typeof grecaptcha != 'undefined') {
						grecaptcha.reset();
					}
					if (typeof Recaptcha != 'undefined') {
						Recaptcha.reload();
					}
				}
				_this.removeClass('expspinner-overlay-val expspinner-overlay');
			},
			error: function(response) {
				var data = '',
					obj = $.parseJSON(response.responseText);
				for(key in obj){
					data = data + ' ' + obj[key] + '<br/>';
				}
				$('.jam_contact_status', _this).html('<div class=\"alert alert-error alert-dismissible\" role=\"alert\"><button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\"><span aria-hidden=\"true\">&times;</span></button>' + data + '</div>');
				if(jamcontactcaptcha){
					if (typeof grecaptcha != 'undefined') {
						grecaptcha.reset();
					}
					if (typeof Recaptcha != 'undefined') {
						Recaptcha.reload();
					}
				}
				_this.removeClass('expspinner-overlay-val expspinner-overlay');
			}
		});
		return false;
	}


	Expjamcontact.prototype.getDefaults = function() {
		return Expjamcontact.DEFAULTS
	}

	Expjamcontact.prototype.getOptions = function(options) {
		options = $.extend({}, this.getDefaults(), this.$element.data(), options)
		return options;
	}

	// Expjamcontact PLUGIN DEFINITION
	// =======================

	function Plugin(option, expopt) {
		return this.each(function() {
			var $this = $(this)
			var data = $this.data('bs.expjamcontact')
			var options = typeof option == 'object' && option
			
			if (!data)
			$this.data('bs.expjamcontact', (data = new Expjamcontact(this, options)))
			if (typeof option == 'string')
			data[option](expopt)
		})
	}

	var old = $.fn.expjamcontact

	$.fn.expjamcontact = Plugin
	$.fn.expjamcontact.Constructor = Expjamcontact


	// Expjamcontact NO CONFLICT
	// =================

	$.fn.expjamcontact.noConflict = function() {
		$.fn.expjamcontact = old
		return this
	}


	// Expjamcontact DATA-API
	// ==============

	$(window).on('load', function() {
		$('[data-expjamcontact="true"] , .expjamcontact').expjamcontact();
	})

}(jQuery);